# ChangeLog for sys-fs/e2fsprogs
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-fs/e2fsprogs/ChangeLog,v 1.86 2006/04/12 18:43:30 kloeri Exp $

  12 Apr 2006; Bryan Østergaard <kloeri@gentoo.org
  e2fsprogs-1.38-r1.ebuild:
  Stable on alpha, bug 125158.

  11 Mar 2006; <nixnut@gentoo.org> e2fsprogs-1.38-r1.ebuild:
  Stable on ppc. Bug #125158

  10 Mar 2006; Torsten Veller <tove@gentoo.org> e2fsprogs-1.38-r1.ebuild:
  Stable on x86 (#125158)

  09 Mar 2006; Patrick McLean <chutzpah@gentoo.org>
  e2fsprogs-1.38-r1.ebuild:
  Stable on amd64 (bug #125158).

  06 Mar 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  e2fsprogs-1.38-r1.ebuild:
  Stable on sparc wrt #125158

  06 Mar 2006; Tom Gall <tgall@gentoo.org> 
  e2fsprogs-1.38-r1.ebuild:
  stable on ppc64, bug #125158

  11 Feb 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/e2fsprogs-1.38-libintl.patch, e2fsprogs-1.38-r1.ebuild:
  Add patch to fix libintl linkage on non-glibc systems. Bug #122368.

  08 Feb 2006; Mike Frysinger <vapier@gentoo.org>
  +files/e2fsprogs-1.38-tests-locale.patch, e2fsprogs-1.38-r1.ebuild:
  Fix running tests in different locales #99766 by Attila Stehr.

*e2fsprogs-1.38-r1 (19 Dec 2005)

  19 Dec 2005; Mike Frysinger <vapier@gentoo.org>
  +files/e2fsprogs-1.38-blkid-ext23.patch,
  +files/e2fsprogs-1.38-blkid-swsuspend.patch,
  +files/e2fsprogs-1.38-vfat-labels.patch, +e2fsprogs-1.38-r1.ebuild:
  Add support for parsing of vfat labels #77692 by Evgeniy and some other
  upstream fixes.

  08 Sep 2005; Aaron Walker <ka0ttic@gentoo.org> e2fsprogs-1.38.ebuild:
  Stable on mips.

  02 Sep 2005; Mike Frysinger <vapier@gentoo.org> e2fsprogs-1.38.ebuild:
  Add support for FreeBSD #103388 by Diego Pettenò

  28 Aug 2005; Mike Frysinger <vapier@gentoo.org> e2fsprogs-1.35-r1.ebuild,
  e2fsprogs-1.36.ebuild, e2fsprogs-1.36-r2.ebuild, e2fsprogs-1.37.ebuild,
  e2fsprogs-1.37-r1.ebuild, e2fsprogs-1.38.ebuild:
  Punt USE=diet.

  23 Aug 2005; Aron Griffis <agriffis@gentoo.org> e2fsprogs-1.38.ebuild:
  stable on ia64

  07 Aug 2005; Mike Frysinger <vapier@gentoo.org>
  +files/e2fsprogs-1.38-disconnected-inodes.patch, e2fsprogs-1.38.ebuild:
  Add patch from upstream to fix segfault #91751 by Christopher Cowart / Ben
  Schwartz.

  25 Jul 2005; Rene Nussbaumer <killerfox@gentoo.org> e2fsprogs-1.38.ebuild:
  Stable on hppa.

  20 Jul 2005; Markus Rothe <corsair@gentoo.org> e2fsprogs-1.38.ebuild:
  Stable on ppc64

  19 Jul 2005; Bryan Østergaard <kloeri@gentoo.org> e2fsprogs-1.38.ebuild:
  Stable on alpha.

  18 Jul 2005; Gustavo Zacarias <gustavoz@gentoo.org> e2fsprogs-1.38.ebuild:
  Stable on sparc

  18 Jul 2005; Joseph Jezak <josejx@gentoo.org> e2fsprogs-1.38.ebuild:
  Marked ppc stable.

*e2fsprogs-1.38 (09 Jul 2005)

  09 Jul 2005; Mike Frysinger <vapier@gentoo.org> +e2fsprogs-1.38.ebuild:
  Version bump #98332 by Joshua.

  08 Jul 2005; Markus Rothe <corsair@gentoo.org> e2fsprogs-1.37-r1.ebuild:
  Stable on ppc64

  29 Jun 2005; Joshua Kinard <kumba@gentoo.org> e2fsprogs-1.37-r1.ebuild:
  Marked stable on mips.

  28 Jun 2005; Bryan Østergaard <kloeri@gentoo.org>
  e2fsprogs-1.37-r1.ebuild:
  Stable on alpha.

  27 Jun 2005; Michael Hanselmann <hansmi@gentoo.org>
  e2fsprogs-1.37-r1.ebuild:
  Stable on hppa.

  27 Jun 2005; Seemant Kulleen <seemant@gentoo.org>
  e2fsprogs-1.37-r1.ebuild:
  stable on x86 and amd64

  24 Jun 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  e2fsprogs-1.37-r1.ebuild:
  Stable on sparc wrt #96727

  22 Jun 2005; Michael Hanselmann <hansmi@gentoo.org>
  e2fsprogs-1.37-r1.ebuild:
  Stable on ppc (#96727).

  29 May 2005; <solar@gentoo.org> e2fsprogs-1.37.ebuild:
  - update sys-fs/e2fsprogs to use libc expanded variable elibc_uclibc vs uclibc
  so USE=-* works

  23 May 2005; Herbie Hopkins <herbs@gentoo.org> e2fsprogs-1.37-r1.ebuild:
  More get_libdir-ization, fixes compilation on amd64s no-lib32 profile.

  30 Apr 2005; Mike Frysinger <vapier@gentoo.org> e2fsprogs-1.37-r1.ebuild:
  Remove USE=diet since it causes stupid problems #81096.

  27 Apr 2005; Mike Frysinger <vapier@gentoo.org>
  +files/e2fsprogs-1.37-e2p-test.patch, e2fsprogs-1.37.ebuild,
  e2fsprogs-1.37-r1.ebuild:
  Fix make check in e2p on an empty install #88570.

*e2fsprogs-1.37-r1 (24 Mar 2005)

  24 Mar 2005; Mike Frysinger <vapier@gentoo.org> +e2fsprogs-1.37-r1.ebuild:
  Add version with split com_err/ss.

*e2fsprogs-1.37 (22 Mar 2005)

  22 Mar 2005; Mike Frysinger <vapier@gentoo.org> +e2fsprogs-1.37.ebuild:
  Version bump for security #86257.

  22 Mar 2005; Aron Griffis <agriffis@gentoo.org> e2fsprogs-1.36-r2.ebuild:
  Mark stable on ia64 to match version of fsck included in FC3. This is
  important since currently ia64 users use a chroot for installation, then run
  into bug 71159

*e2fsprogs-1.36-r2 (10 Mar 2005)

  10 Mar 2005; Mike Frysinger <vapier@gentoo.org>
  +files/e2fsprogs-1.36-makefile.patch, +e2fsprogs-1.36-r2.ebuild:
  Fix header install and lib/bin symlinks.

*e2fsprogs-1.36-r1 (08 Mar 2005)

  08 Mar 2005; Mike Frysinger <vapier@gentoo.org> +e2fsprogs-1.36-r1.ebuild:
  Version bump to clean crap up.

*e2fsprogs-1.36 (06 Feb 2005)

  06 Feb 2005; Tony Vroon <chainsaw@gentoo.org> +e2fsprogs-1.36.ebuild:
  Version bump, resolves bug #80567. Compiles on GCC 4.

  18 Jan 2005; Joshua Kinard <kumba@gentoo.org> e2fsprogs-1.35-r1.ebuild:
  Marked stable on mips.

  03 Jan 2005; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  07 Dec 2004; Joseph Jezak <josejx@gentoo.org> e2fsprogs-1.35-r1.ebuild:
  Marked ppc stable for bug #73605.

  06 Dec 2004; Mike Frysinger <vapier@gentoo.org> e2fsprogs-1.35-r1.ebuild:
  Make sure kernel defines dont clash with internal defines #48829.

  23 Nov 2004; Bryan Østergaard <kloeri@gentoo.org>
  e2fsprogs-1.35-r1.ebuild:
  Stable on alpha.

  18 Nov 2004; Markus Rothe <corsair@gentoo.org> e2fsprogs-1.35-r1.ebuild:
  Stable on ppc64; bug #70911

  12 Nov 2004; Gustavo Zacarias <gustavoz@gentoo.org>
  e2fsprogs-1.35-r1.ebuild:
  Stable on sparc

  11 Nov 2004; Mike Frysinger <vapier@gentoo.org> e2fsprogs-1.35-r1.ebuild,
  e2fsprogs-1.35.ebuild:
  Set $LDCONFIG so stupid configure script doesnt try to run /sbin/ldconfig
  for us.

  03 Oct 2004; Mike Frysinger <vapier@gentoo.org> e2fsprogs-1.35-r1.ebuild:
  Support dietlibc #36306 by Adam.

  22 Sep 2004; Travis Tilley <lv@gentoo.org> e2fsprogs-1.35-r1.ebuild:
  $(get_libdir)-ized and fixed a sandbox violation when libdir is set. marked
  stable on amd64 for this fix.

*e2fsprogs-1.35-r1 (13 Sep 2004)

  13 Sep 2004; Guy Martin <gmsoft@gentoo.org> +e2fsprogs-1.35-r1.ebuild:
  Use -fPIC compiled shared files in .a files. Fix kdelibs-3.3.0 compilation on
  hppa => Stable on hppa.

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  e2fsprogs-1.35.ebuild:
  Masked e2fsprogs-1.35.ebuild stable for ppc

  30 Jun 2004; Guy Martin <gmsoft@gentoo.org> e2fsprogs-1.35.ebuild:
  Marked stable on hppa.

  30 Jun 2004; Aron Griffis <agriffis@gentoo.org> e2fsprogs-1.35.ebuild:
  stable on alpha

  29 Jun 2004; Joshua Kinard <kumba@gentoo.org> e2fsprogs-1.35.ebuild:
  Marked stable on sparc and mips.

  24 Jun 2004; Martin Holzer <mholzer@gentoo.org> e2fsprogs-1.35.ebuild:
  x86 stable

  17 Jun 2004; Alexander Gabert <pappy@gentoo.org> e2fsprogs-1.35.ebuild:
  building e2fsprogs on sparc results in silo failing because libext2 is linked
  into a nostdlib executable

  02 Jun 2004; Travis Tilley <lv@gentoo.org> e2fsprogs-1.35.ebuild:
  stable on amd64

  17 May 2004; Bryan Østergaard <kloeri@gentoo.org> e2fsprogs-1.35.ebuild:
  Add ~alpha.

  27 Apr 2004; Michael McCabe <randy@gentoo.org> e2fsprogs-1.35.ebuild:
  Marked stable on s390

  23 Apr 2004; Aron Griffis <agriffis@gentoo.org> e2fsprogs-1.34-r1.ebuild,
  e2fsprogs-1.35.ebuild:
  Mark 1.34-r1 stable on ia64, and simultaneously mark 1.35 -ia64 until bug
  48829 (e2fsprogs-1.35 doesn't build on ia64) is resolved

  09 Apr 2004; Travis Tilley <lv@gentoo.org> e2fsprogs-1.34.ebuild:
  stable on amd64

*e2fsprogs-1.35 (28 Mar 2004)

  28 Mar 2004; Mike Frysinger <vapier@gentoo.org> :
  Version bump #40624 by Nicolas Boichat.

  03 Feb 2004; Bartosch Pixa <darkspecter@gentoo.org>
  e2fsprogs-1.34-r1.ebuild:
  set ppc in keywords

  28 Jan 2004; Aron Griffis <agriffis@gentoo.org> e2fsprogs-1.34.ebuild:
  stable on alpha and ia64

  15 Jan 2004; <gustavoz@gentoo.org> e2fsprogs-1.32-r2.ebuild,
  e2fsprogs-1.33.ebuild, e2fsprogs-1.34-r1.ebuild, e2fsprogs-1.34.ebuild:
  backed out restrict=nomirror since it's hardly justified in logs or bugs

*e2fsprogs-1.34-r1 (14 Jan 2004)

  14 Jan 2004; Chris PeBenito <pebenito@gentoo.org> e2fsprogs-1.34-r1.ebuild,
  files/e2fsprogs-1.34-swap-symlink.diff:
  Add fix to handle symlinks with extended attributes correctly on big endian
  systems.

  09 Jan 2004; <gustavoz@gentoo.org> e2fsprogs-1.34.ebuild:
  marked stable for hppa

  09 Jan 2004; Jason Wever <weeve@gentoo.org> e2fsprogs-1.34.ebuild:
  Marked stable on sparc.

  30 Dec 2003; Seemant Kulleen <seemant@gentoo.org> e2fsprogs-1.34.ebuild,
  files/e2fsprogs-sed-locale.patch:
  Added patch to make the sed expressions used in the configure script and other
  sed scripts friendly to locales like ee_ET (estonian)

  28 Dec 2003; Joshua Kinard <kumba@gentoo.org> e2fsprogs-1.34.ebuild:
  Move to mips stable (~mips -> mips)

  24 Dec 2003; <plasmaroo@gentoo.org> e2fsprogs-1.34.ebuild,
  files/e2fsprogs-1.34-kernel-2.6-fix.patch:
  Added a patch to get e2fsprogs to compile with 2.6 headers; closing bug #31419.

  21 Dec 2003; Martin Holzer <mholzer@gentoo.org> e2fsprogs-1.34.ebuild:
  x86 stable

  21 Dec 2003; Martin Holzer <mholzer@gentoo.org> e2fsprogs-1.34.ebuild:
  fixing userpriv. closes 27348

  21 Nov 2003; Martin Holzer <mholzer@gentoo.org> e2fsprogs-1.32-r2.ebuild,
  e2fsprogs-1.33.ebuild, e2fsprogs-1.34.ebuild:
  adding RESTRICT="nomirror"

  22 Oct 2003; Bartosch Pixa <darkspecter@gentoo.org> e2fsprogs-1.34.ebuild:
  set ppc in keywords

*e2fsprogs-1.34 (30 Jul 2003)

  30 Sep 2003; Joshua Kinard <kumba@gentoo.org> e2fsprogs-1.34.ebuild:
  Added ~sparc & ~mips to KEYWORDS

  30 Jul 2003; Brandon Low <lostlogic@gentoo.org> e2fsprogs-1.34.ebuild:
  Bump

  31 May 2003; Daniel Robbins <drobbins@gentoo.org>: moving to x86 (stable.)

*e2fsprogs-1.33 (21 Apr 2003)

  23 Sep 2003; Bartosch Pixa <darkspecter@gentoo.org> e2fsprogs-1.33.ebuild:
  set ppc in keywords

  19 Sep 2003; Seemant Kulleen <seemant@gentoo.org> e2fsprogs-1.33.ebuild,
  e2fsprogs-1.34.ebuild:
  add static support, thanks to: Sascha Silbe <sascha-gentoo-bugzilla@silbe.org>
  in bug #29166

  15 Sep 2003; Seemant Kulleen <seemant@gentoo.org> e2fsprogs-1.32-r2.ebuild,
  e2fsprogs-1.33.ebuild, e2fsprogs-1.34.ebuild,
  files/e2fsprogs-1.27ea-0.8.21.diff,
  files/e2fsprogs-1.32-mk_cmds-cosmetic.patch:
  moved to sys-fs

  21 Apr 2003; Daniel Robbins <drobbins@gentoo.org>: New upstream release.
  Creation of locale stuff fails so commented out its creation in the ebuild.
  Marked ~x86 only.

*e2fsprogs-1.32-r2 (31 Dec 2002)

  15 Mar 2003; Jan Seidel <tuxus@gentoo.org> :
  Added mips to KEYWORDS

  23 Feb 2003; Aron Griffis <agriffis@gentoo.org> e2fsprogs-1.32-r2.ebuild :
  Fix minor error in the ebuild where "die" could be called from within
  a subshell.

  20 Feb 2003; Zach Welch <zwelch@gentoo.org> e2fsprogs-1.32-r2.ebuild :
  Added arm to keywords.

  09 Feb 2003; Guy Martin <gmsoft@gentoo.org> e2fsprogs-1.32-r2.ebuild :
  Added hppa to keywords.

  31 Dec 2002; Brandon Low <lostlogic@gentoo.org> e2fsprogs-1.32-r2.ebuild :

  Symlink the mkfs.ext3 to mke2fs as it should be.  Marked stable.

*e2fsprogs-1.32-r1 (26 Dec 2002)

  26 Dec 2002; Martin Schlemmer <azarah@gentoo.org> e2fsprogs-1.32-r1.ebuild :

  Fix trying to move lsattr, chattr and uuidgen to non existing directory
  in src_install().  Move compile_et and mk_cmds to /usr/bin. Fix a cosmetic
  error in mk_cmds help output.

  10 Dec 2002; Martin Schlemmer <azarah@gentoo.org> e2fsprogs-1.32.ebuild :

  Mark stable.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> :
  
  Changed sparc ~sparc keywords
 
*e2fsprogs-1.32 (11 Nov 2002)

  25 Feb 2003; Brandon Low <lostlogic@gentoo.org> e2fsprogs-1.27-r1.ebuild e2fsprogs-1.27.ebuild e2fsprogs-1.29-r1.ebuild e2fsprogs-1.29.ebuild e2fsprogs-1.32-r1.ebuild e2fsprogs-1.32.ebuild :
  Fix nesteddies

  18 Jan 2003; Jan Seidel <tuxus@gentoo.org> :
  Added mips to keywords

  11 Nov 2002; Brandon Low <lostlogic@gentoo.org> e2fsprogs-1.32.ebuild :

  New version from upstream.

*e2fsprogs-1.30 (01 Nov 2002)

  01 Nov 2002; Brandon Low <lostlogic@gentoo.org> :

  New version, also updated the ebuild to use econf and einstall.

*e2fsprogs-1.29-r1 (26 Oct 2002)

  26 Oct 2002; Martin Schlemmer <azarah@gentoo.org> :
  Install linker scripts to fix bug #4411.

*e2fsprogs-1.29 (25 Sep 2002)

  25 Sep 2002; Martin Schlemmer <azarah@gentoo.org> :
  Version update.  Major bugfix release (curruption among things).

*e2fsprogs-1.25-r1.ebuild (14 July 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> e2fsprogs-1.25-r1.ebuild :
  Added KEYWORDS, SLOT.

*e2fsprogs-1.27-r1 (21 Jun 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> e2fsprogs-1.27.ebuild :
  Added KEYWORDS, SLOT.

  14 Jul 2002; phoen][x <phoenix@gentoo.org> e2fsprogs-1.27-r1.ebuild :
  Added KEYWORDS, SLOT.

  21 Jun 2002; Joachim Blaabejrg <styx@gentoo.org> e2fsprogs-1.27-r1.ebuild :
  Added ACL support.

  03 Aug 2002; Nick Hadaway <raker@gentoo.org> e2fsprogs-1.27-r1.ebuild :
  Updated ebuild to install /bin/compile_et's template files.  Fixes a
  cyrus-imapd compile problem.

*e2fsprogs-1.27 (21 March 2002)

  03 Aug 2002; Nick Hadaway <raker@gentoo.org> e2fsprogs-1.27.ebuild :
  Updated ebuild to install /bin/compile_et's template files.  Fixes a
  cyrus-imapd compile problem.


*e2fsprogs-1.25-r3 (1 Feb 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> e2fsprogs-1.25-r3.ebuild :
  Added KEYWORDS, SLOT.

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
